<h1 class="text-center m-4">Categories</h1>

<div class="flickr_pagination m-3">
  <%= will_paginate @categories, :container => false %>
</div>

<div class="container">
  <% @categories.each do |category| %>
    <div class="row justify-content-md-center">
      <div class="col-4 mt-4">
        <div class="card text-center shadow mb-5 bg-white rounded">
          <div class="card-body">
            <h5 class="card-title"><%= link_to category.name, category_path(category), class: 'text-success' %></h5>
            <p class="card-text">Articles - <%= category.articles.count %></p>
          </div>
          <div class="card-footer text-muted">
            <small>Created <%= time_ago_in_words(category.created_at) %> ago,
            Edited <%= time_ago_in_words(category.updated_at) %> ago
            </small>
          </div>
        </div>
      </div>
    </div>
  <% end %>
</div>


<div class="flickr_pagination m-3">
  <%= will_paginate @categories, :container => false %>
</div>
